数据集
List datasets
返回数据集列表。 该接口仅会返回与您的 API 密钥所在同一项目中的数据集。您可以指定搜索关键词,通过名称或描述进行数据集过滤。
GET
/
v2
/
team
/
datasets
List datasets
curl --request GET \
--url https://app.ai.relyt.cn/app/api/v2/team/datasets \
--header 'x-pd-api-key: <api-key>'import requests
url = "https://app.ai.relyt.cn/app/api/v2/team/datasets"
headers = {"x-pd-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-pd-api-key': '<api-key>'}};
fetch('https://app.ai.relyt.cn/app/api/v2/team/datasets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 0,
"data": {
"page_number": 1,
"page_size": 10,
"total_items": 1,
"records": [
{
"id": "dataset-dasfadsgadsgas",
"name": "mysql",
"description": "mysql databases"
}
]
}
}请求示例:
返回示例:
curl --request GET \
--url https://app.ai.relyt.cn/app/api/v2/team/datasets?user_id=tmm-dafasdfasdfasdf \
--header 'x-pd-api-key: <api-key>'
import requests
url = "https://app.ai.relyt.cn/app/api/v2/team/datasets?user_id=tmm-dafasdfasdfasdf"
headers = {"x-pd-api-key": "<api-key>"}
response = requests.request("GET", url, headers=headers)
print(response.text)
200
{
"code": 0,
"data": {
"page_number": 1,
"page_size": 10,
"total_items": 1,
"records": [
{
"id": "dataset-dasfadsgadsgas",
"name": "mysql",
"description": "mysql databases"
}
]
}
}
Authorizations
Headers
您本地系统中设置的 Trace ID,至多支持 128 个字符。当请求发生错误时,可以将此 ID 提供给 Relyt AI 团队,协助进行故障排查。
Query Parameters
分页返回的起始页码。如不指定,则使用默认值 1。
每页返回的记录数量。如不指定,则使用默认值 10。
搜索关键词,最多支持 128 个字符。所有名称或描述中包含该关键词的数据集将被返回。
如果省略此项,将列出项目中的所有数据集。
用户 ID,即您在组织中的唯一身份标识。